[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: What hack in ld.so?

On Feb  1, 1999, Bernard Dautrevaux <DAUTREVAUX@microprocess.com> wrote:

>> Since modifying the next release of libtool won't contribute at all to
>> fix the problem in already compiled programs, which are the only
>> programs affected by this problem

> I usually still build production code with a libc5 setup, and will
> continue to do so for a while

I understand, your point is a very good one.  So, in addition to the
two options I have listed in one of my previous messages, you have a
third one to satisfy this need: start creating two distributions, one
for backward-compatibility with libc5, another for users that have
already upgraded to libc6.  You'll have to do it at some time anyway,
when standard distributors stop including libc5 in their default
installations, so why not start doing it now?

Alexandre Oliva  http://www.dcc.unicamp.br/~oliva  aoliva@{acm.org}
Universidade Estadual de Campinas, SP, Brasil

Reply to: